# MatConvertRegisterAll

Registers all standard matrix type routines to convert to

### Synopsis

    PetscErrorCode MatConvertRegisterAll(const char path[])

Not Collective

Notes: To prevent registering all matrix types; copy this routine to your source code and comment out the versions below that you do not need.

### See Also

MatRegister(), MatConvert()

Level:developer
Location:src/mat/utils/matioall.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages